.AUTODEPEND

#		*Translator Definitions*
CC = bcc +commonl.cfg
CC32 = bcc32 +common32.cfg
TASM = TASM
TLIB = tlib
TLINK = tlink
TLINK32 = tlink32
LIBPATH = C:\BC45\LIB;
INCLUDEPATH = C:\BC45\INCLUDE;..\h


#		*Implicit Rules*
.c.obj:
  $(CC) -c {$< }

.cpp.obj:
  $(CC) -c {$< }

#		*List Macros*


EXE_dependencies =  \
 args.obj \
  ext.obj \
 fatal.obj \
 file.obj \
 usage.obj \
 vmem.obj       
EXE32_dependencies =  \
 args32.obj \
 ext32.obj \
 fatal32.obj \
 file32.obj \
 usage32.obj \
 vmem32.obj       

#		*Explicit Rules*
all: common32.lib commonl.lib
commonl.lib: commonl.cfg $(EXE_dependencies)
  del commonl.lib
  $(TLIB) commonl /C @&&|
+args.obj &       
+ext.obj &
+fatal.obj &      
+file.obj &
+usage.obj &      
+vmem.obj       
|
common32.lib: common32.cfg $(EXE32_dependencies)
  del common32.lib
  $(TLIB) common32 /c @&&|
+args32.obj &       
+fatal32.obj &      
+ext32.obj &
+file32.obj &
+usage32.obj &      
+vmem32.obj       
|

#		*Individual File Dependencies*
args.obj: commonl.cfg args.c
	$(CC) -c args.c

ext.obj: commonl.cfg ext.c
	$(CC) -c ext.c

fatal.obj: commonl.cfg fatal.c
	$(CC) -c fatal.c

file.obj: commonl.cfg file.c
	$(CC) -c file.c

usage.obj: commonl.cfg usage.c
	$(CC) -c usage.c

vmem.obj: commonl.cfg vmem.c
	$(CC) -c vmem.c
args32.obj: common32.cfg args.c
	$(CC32) -c -oargs32.obj args.c

ext32.obj: common32.cfg ext.c
	$(CC32) -c -oext32.obj ext.c

fatal32.obj: common32.cfg fatal.c
	$(CC32) -c -ofatal32.obj fatal.c

file32.obj: common32.cfg file.c
	$(CC32) -c -ofile32.obj file.c

usage32.obj: common32.cfg usage.c
	$(CC32) -c -ousage32.obj usage.c

vmem32.obj: common32.cfg vmem.c
	$(CC32) -c -ovmem32.obj vmem.c

#		*Compiler Configuration File*
commonl.cfg: makefile
  copy &&|
-ml
-v
-G
-O
-Og
-Oe
-Om
-Ov
-Ol
-Ob
-Op
-Oi
-Z
-vi
-H=TEST.SYM
-w-ret
-w-nci
-w-inl
-wpin
-wamb
-wamp
-w-par
-wasm
-wcln
-w-cpt
-wdef
-w-dup
-w-pia
-wsig
-wnod
-w-ill
-w-sus
-wstv
-wucp
-wuse
-w-ext
-w-ias
-w-ibc
-w-pre
-w-nst
-w-pro
-I$(INCLUDEPATH)
-L$(LIBPATH)
| commonl.cfg
common32.cfg: makefile
  copy &&|
-v
-G
-O
-Og
-Oe
-Om
-Ov
-Ol
-Ob
-Op
-Oi
-Z
-vi
-H=TEST.SYM
-w-ret
-w-nci
-w-inl
-wpin
-wamb
-wamp
-w-par
-wasm
-wcln
-w-cpt
-wdef
-w-dup
-w-pia
-wsig
-wnod
-w-ill
-w-sus
-wstv
-wucp
-wuse
-w-ext
-w-ias
-w-ibc
-w-pre
-w-nst
-w-pro
-I$(INCLUDEPATH)
-L$(LIBPATH)
| common32.cfg